<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Service;

use DateTime;
use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;

class QuoteExpirationDateSetter implements QuoteExpirationDateSetterInterface
{
    public function setExpirationDate(QuoteInterface $quote): void
    {
        $expirationDate = new DateTime();
        $expirationDate->modify('+3 months');

        $quote->setExpirationDate($expirationDate);
    }
}
